#
# spec file for package rubygem-diffy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-diffy
Version:        3.4.2
Release:        1.5
%define mod_name diffy
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/samg/diffy
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A convenient way to diff string in ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Convenient diffing in ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.4.2
  see installed CHANGELOG
  == 3.4.2 ==
  Silence warning from unused variable when using `ruby -w`.  Thanks
  @sambostock!
  == 3.4.1 ==
  Prevent remote code execution from user controlled diff file paths.  This
  issue was only present in Windows platforms. Thanks @tehryanx for reporting
  and testing the fix!
  == 3.4.0 ==
  Remove space between U diff option and context number. Thanks @tomas!
  Add option to ignore CRLF diffs in HTML comparisons. Thanks @ptyagi16!
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.4.0
  see installed CHANGELOG
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.3.0
  see installed CHANGELOG
  == 3.3.0 ==
  Fix diff lines that begin with -- or ++. Thanks @dark-panda!
* Sat May 19 2018 factory-auto@kulow.org
- updated to version 3.2.1
  see installed CHANGELOG
  == 3.2.1 ==
  Fix default options on alpine linux.  Thanks @evgen!
* Sun Mar 12 2017 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG
* Fri Dec 18 2015 coolo@suse.com
- updated to version 3.1.0
  see installed CHANGELOG
  == 3.1.0 ==
  Side by side diffs.  Thanks Runar Skaare Tveiten!
* Sat Apr 25 2015 mrueckert@suse.de
- update to 3.0.7
* Wed Jul 23 2014 mrueckert@suse.de
- initial package
